{% load staticfiles %}
<!DOCTYPE html>
<html lang="en">
<head>
<link rel="stylesheet" type="text/css" href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}"/>
<link rel="icon" href="{% static 'images/logo-head.PNG' %}">
<meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />

<style>
.outer {
    width: 300px;
    height: 100px;
    margin: 0 auto;
    background-color:#f1f1f1;
border:solid
}

#see{
cursor:pointer

}
</style>

<script src="{% static 'vendor/jquery/jquery-3.2.1.min.js' %}"></script>

</head>
<body  id="bdy">

<div id="adopter">
</div>
<br />
<div align="center">
<button type="button" id="see" class="btn btn-secondary" style="background-color: blue" onclick="more()">See More</button>
</div>

<script>
source=window.location.toString()
source=source.replace("adopter","adopter_data")
var cnt=0
bdy=document.getElementById('bdy')
more()
function more(){

bdy.style.display="none"

$.getJSON(source+cnt, function(adopter) {
if(adopter.length==0){
document.getElementById("see").remove()
}
else{
for (var i=0;i< adopter.length;i++){
var div=document.createElement("div")
div.classList.add("outer")
src="javascript:window.open('https://twitter.com/"+adopter[i][1]+"')"
div.setAttribute("onclick",src)
div.style.cursor="pointer"
document.getElementById("adopter").appendChild(document.createElement('br'))
document.getElementById("adopter").appendChild(div)
var img=document.createElement("img")
img.setAttribute("src",adopter[i][0])
img.style.width="80px"
img.style.height="60px"
img.style.marginTop="20px"
img.style.paddingLeft="20px"
div.appendChild(img)
var div2=document.createElement("div")
div2.style.marginTop="-65px"
div2.style.marginLeft="91px"
div2.innerHTML=adopter[i][3]
div2.style.fontWeight="bold"
div2.style.fontSize='16px'
div.appendChild(div2)
if(adopter[i][2]){
var img=document.createElement("img")
img.setAttribute("src","{%static 'images/verified.jpg' %}")
img.style.width="15px"
img.style.height="15px"
div2.appendChild(img)

}
var div3=document.createElement("div")
div3.style.fontSize='12px'
div3.style.fontWeight="lighter"
div3.innerHTML='@'+adopter[i][1]
div2.appendChild(div3)

}

cnt+=adopter.length

}	

bdy.style.display=""

});

}	</script>

	
	
 
</body>
</html>
